| Home | Libraries | People | FAQ | More

##### posix::basic_stream_descriptor::basic_stream_descriptor (2 of 2 overloads)

Construct a basic_stream_descriptor on an existing native descriptor.

    basic_stream_descriptor(
        boost::asio::io_service & io_service,
        const native_type & native_descriptor);

This constructor creates a stream descriptor object to hold an existing native descriptor.

###### Parameters

io_service

  The io_service object that the stream descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  The new underlying descriptor implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.